#used for pre-releases:
%global vimfiles_root %{_datadir}/vim/vimfiles

Name:          vim-jedi
Version:       0.8.0
Release:       4%{?dist}
Summary:       The Jedi vim plugin
Group:         Applications/Editors

License:       LGPLv3
URL:           https://github.com/davidhalter/jedi-vim
Source0:       https://github.com/davidhalter/jedi-vim/archive/%{version}.tar.gz
Source1:       %{name}.metainfo.xml
Requires:      python-jedi
Requires:      vim-common

BuildArch:     noarch

%description
vim-jedi is a VIM binding to the awesome auto completion library Jedi.

%prep
%setup -q -n jedi-vim-%{version}

cp %{SOURCE1} .

%build

%install
mkdir -p %{buildroot}%{vimfiles_root}
cp initialize.py* %{buildroot}%{vimfiles_root}
cp jedi_vim.py* %{buildroot}%{vimfiles_root}
cp -ar {after,autoload,ftplugin,plugin} %{buildroot}%{vimfiles_root}
mkdir -p %{buildroot}/%{_datadir}/appdata
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/

%files 
%doc README.rst AUTHORS.txt LICENSE.txt
%{vimfiles_root}/initialize.py*
%{vimfiles_root}/jedi_vim.py*
%{vimfiles_root}/after/*
%{vimfiles_root}/autoload/*
%{vimfiles_root}/ftplugin/*
%{vimfiles_root}/plugin/*
%{_datadir}/appdata/%{name}.metainfo.xml

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 15 2016 Petr Hracek <phracek@redhat.com> - 0.8.0-1
- Update to the latest upstream version (#1301314)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 19 2015 Petr Hracek <phracek@redhat.com> - 0.7.0-7
- Standard installation of vim-jedi is broken (#1190187)

* Thu Feb 26 2015 Petr Hracek <phracek@redhat.com> - 0.7.0-6
- Add Addon metadata for GNOME Software (#1128812)
- Previous fix was totally wrong

* Wed Feb 25 2015 Petr Hracek <phracek@redhat.com> - 0.7.0-5
- Add Addon metadta for GNOME Software (#1128812)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 18 2014 Petr Hracek <phracek@redhat.com> - 0.7.0-3
- some files are missing in RPM package (jedi_vim.py)

* Fri Jan 17 2014 Petr Hracek <phracek@redhat.com> - 0.7.0-2
- some files are missing in RPM package

* Wed Jan 15 2014 Petr Hracek <phracek@redhat.com> - 0.7.0-1
- Update to vim-jedi-0.7.0 (#1047228)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Petr Hracek <phracek@redhat.com> - 0.5.0-5
- Correcting BuildRoot macro

* Tue Apr 30 2013 Petr Hracek <phracek@redhat.com> - 0.5.0-4
- Correct license

* Thu Apr 25 2013 Petr Hracek <phracek@redhat.com> - 0.5.0-3
- New source file introduced instead of master
- Clean section and removing buildroot is not needed

* Thu Apr 25 2013 Petr Hracek <phracek@redhat.com> - 0.5.0-2
- Files are stored in vimfiles directory
- added post and postun sections

* Fri Apr 19 2013 Petr Hracek <phracek@redhat.com> - 0.5.0-1
- Initial version
